"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasProperty = void 0;
/**
 * This is a type guard that determines whether the given unknown value
 * is an object with a property of a certain type.
 * @param value
 * @param propName
 */
function hasProperty(value, propName) {
    return typeof value === "object" && value !== null && propName in value;
}
exports.hasProperty = hasProperty;
